Subject: bug#6594: (no subject)

From: Jan Djärv <[email-masked]>
Date: Mon, 25 Apr 2011 14:06:44 +0200

Hello.

The bug is fixed for me with a stock 23.3 from ftp.gnu.org, tried with xterm 
251 and 261.  I suspect you are loading the wrong xt-mouse.el(c).  Try this
from inside Emacs:

C-h f xterm-mouse-event-read <return>
Click on the xt-mouse.el link.
You should see:

;; read xterm sequences above ascii 127 (#x7f)
(defun xterm-mouse-event-read ()
   (let ((c (read-char)))
     (if (> c #x3FFF80)
         (+ 128 (- c #x3FFF80))
       c)))

If you do and still see the error, ypu have to debug it as I can't reproduce 
it.  Read the Elisp manual (C-h i m elisp <return> m debugging <return>) about 
edebug on how to to that.  Note the values of c that fails for you.

	Jan D.

Ilya Tatar skrev 2011-04-24 03.59:
> Thank you Jan.
> I just tried it with
> GNU Emacs 23.3.1 (i386-pc-solaris2.10, GTK+ Version 2.10.13) of 2011-04-21
> and still see the problem. Should it have been fixed in version 23.3?
>
> I am still using
> % xterm -version
> XTerm(257)
>
>
> Started emacs with:
> emacs -Q -nw
>
> And ran
> M-x xterm-mouse-mode
>
> The behavior is the same as I described previously.
>
> Thank you,
> -Ilya
>
>